/*
Char Swap Input Swapper
featuring Frostiikin!

v1
*/

local DC = DeltaChars

//altswap command
function DC.SwapCommand(player, arg)
	local validcommand = false
	arg = $ and string.lower($)
	if arg == "0" or arg == "default" or arg == "off"
		player.dcaltswap = 0
		validcommand = true
	elseif arg == "1" or arg == "on"
		player.dcaltswap = 1
		validcommand = true
	end
	
	
	if not validcommand
		CONS_Printf(player, "dc_altswap [on/off] - Toggles the buttons used to swap characters from Custom 1/3 to Weapon Next/Prev.")
		if player.dcaltswap
			CONS_Printf(player, "Currently on.")
		else
			CONS_Printf(player, "Currently off.")
		end
	elseif io and player == consoleplayer
		local file = io.openlocal("client/DeltaChars/AltSwap.dat", "w+")
		file:write(player.dcaltswap)
		file:close()
	end
end

//Apply the I/O for the command when spawning
function DC.SwapIO(player)
	//I/O maybe
	if io and player == consoleplayer and player.dcaltswap == nil
		local file = io.openlocal("client/DeltaChars/AltSwap.dat")
		if file
			local num = file:read("*n")
			if num
				CommandQueue_Add("dc_altswap "..num)
			end
			file:close()
		end
	end
end


DC.AddHook("PlayerSpawn", DC.SwapIO)

COM_AddCommand("dc_altswap", DC.SwapCommand)
COM_AddCommand("dc_altswap2", DC.SwapCommand, COM_SPLITSCREEN)